> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List decisions



## OpenAPI

````yaml get /v1/decisions
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/decisions:
    get:
      tags:
        - decisions
      summary: List decisions
      operationId: DecisionController_getDecisions_v1
      parameters:
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
            example: 1
            minimum: 1
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            example: 10
            type: number
        - name: tenantId
          required: true
          in: query
          description: Tenant ID
          schema:
            example: 105fa115-52d0-4466-baff-740447a60774
            type: string
        - name: ids
          required: false
          in: query
          description: Comma separated Decision IDs
          schema:
            example: null
            type: array
            items:
              type: string
        - name: status
          required: false
          in: query
          description: Comma separated Decision Status values
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - DRAFT
                - PUBLISHED
                - ARCHIVED
                - DELETED
        - name: search
          required: false
          in: query
          description: Decision search string
          schema:
            example: Investmen
            type: string
        - name: section
          required: false
          in: query
          description: Comma separated Section IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: category
          required: false
          in: query
          description: Comma separated Category IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: sortBy
          required: false
          in: query
          description: Criteria for sorting Decisions
          schema:
            enum:
              - name
              - sectionName
              - categoryName
              - status
              - updatedAt
              - createdAt
              - delegationsCount
              - authorityLimitSortPrecedence
              - decisionDisplayId
              - rank
            type: string
        - name: sortOrder
          required: false
          in: query
          description: Order for sorting Decisions
          schema:
            enum:
              - asc
              - desc
            type: string
        - name: groupIds
          required: false
          in: query
          description: Comma separated Group IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: delegable
          required: false
          in: query
          description: Delegable filter
          schema:
            example: true
            type: boolean
        - name: delegations
          required: false
          in: query
          description: Delegations filter
          schema:
            example: true
            type: boolean
        - name: authorityTypeIds
          required: false
          in: query
          description: Comma separated Authority Type IDs
          explode: false
          schema:
            example: null
            type: array
            items:
              type: string
        - name: authorityLimitValueTypes
          required: false
          in: query
          description: Comma separated Decision Authority Value Types
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - Currency
                - Number
                - Days
                - Months
                - Years
                - Authorized
                - Percentage
        - name: authorityLimitValueFilters
          required: false
          in: query
          description: Authority Limit Value Filters
          schema:
            type: array
            items:
              $ref: '#/components/schemas/AuthorityLimitValueFilter'
        - name: select
          required: false
          in: query
          description: Comma separated specific Decision fields needed in response
          explode: false
          schema:
            type: array
            items:
              type: string
              enum:
                - DECISION_ID
                - NAME
                - DECISION_DISPLAY_ID
                - DESCRIPTION
                - GUIDANCE
                - SECTION_ID
                - SECTION_NAME
                - CATEGORY_ID
                - CATEGORY_NAME
                - STATUS
                - PREVIOUS_STATUS
                - CREATED_BY
                - CREATED_BY_USERNAME
                - UPDATED_BY
                - UPDATED_BY_USERNAME
                - CREATED_AT
                - UPDATED_AT
                - OWNER
                - OWNER_USERNAME
                - COPIED_FROM
                - CONDITION_ENABLED
                - ROLE_ENABLED
                - DELEGABLE
                - DELEGATION_PATHWAY
                - LINK
                - DELEGATIONS_COUNT
                - AUTHORITY_LIMIT_SORT_PRECEDENCE
                - DECISION_AUTHORITIES
                - DECISION_GROUPS
                - DECISION_DOCUMENTS
        - name: issuerType
          required: false
          in: query
          description: Delegation issuer type
          schema:
            $ref: '#/components/schemas/Object'
        - name: owner
          required: false
          in: query
          description: Comma separated User IDs for Owner filter
          schema:
            example: null
            type: array
            items:
              type: string
        - name: createdStartDate
          required: false
          in: query
          description: Start date time for date range filter on decision created at
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: createdEndDate
          required: false
          in: query
          description: End date time for date range filter on decision created at
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: updatedStartDate
          required: false
          in: query
          description: Start date time for date range filter on decision updated at
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
        - name: updatedEndDate
          required: false
          in: query
          description: End date time for date range filter on decision updated at
          schema:
            example: '2025-03-05T11:49:50.577Z'
            type: string
      responses:
        '200':
          description: Decisions list retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedDenormalizedDecisionResponseDtoResponse
      security:
        - accessToken: []
components:
  schemas:
    AuthorityLimitValueFilter:
      type: object
      properties:
        authorityLimitValueType:
          type: object
          description: Authority Limit Value Type (AUTHORIZED not supported)
          example: Years
        minValue:
          type: string
          description: >-
            Minimum value for the applied filter (if "Unlimited", maxValue will
            be ignored)
          example: '1'
        maxValue:
          type: string
          description: Maximum value for the applied filter (supports "Unlimited")
          example: Unlimited
      required:
        - authorityLimitValueType
        - minValue
        - maxValue
    Object:
      type: object
      properties: {}
    PaginatedDenormalizedDecisionResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 200
        timestamp:
          type: string
          example: '2026-01-08T06:33:50.975Z'
        message:
          type: string
          example: Success
        data:
          type: object
          required:
            - page
            - limit
            - total
            - data
          properties:
            page:
              type: number
              example: 1
              minimum: 1
            limit:
              type: number
              example: 10
              minimum: 1
            total:
              type: number
              example: 100
              minimum: 0
            data:
              type: array
              items:
                $ref: '#/components/schemas/DenormalizedDecisionResponseDto'
      required:
        - statusCode
        - timestamp
        - message
    DenormalizedDecisionResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Unique identifier
        tenantId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Tenant ID
        name:
          type: string
          example: Long-term Investments
          description: Decision name
        description:
          type: string
          nullable: true
          example: >-
            The Long-term Investments authority involves approving strategic
            investments, including equity stakes, acquisitions, and other
            business ventures.
          description: Decision description
        guidance:
          type: string
          nullable: true
          example: >-
            Investment decisions for long-term, strategic investments, such as
            acquisitions and equity stakes, require a structured process that
            ensures alignment with corporate strategy, rigorous financial
            analysis, risk assessment, and strong governance. These investments
            should enhance the company's competitive positioning, growth
            potential, and long-term vision. Financial modeling is critical,
            incorporating valuation methods, cash flow impacts, and sensitivity
            analysis to forecast returns under different scenarios.
          description: Decision guidance
        sectionId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Section ID
        categoryId:
          type: string
          nullable: true
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Category ID
        status:
          type: object
          example: PUBLISHED
          description: Decision status
        createdBy:
          type: string
          nullable: true
          example: null
          description: Created by user ID
        owner:
          type: string
          nullable: true
          example: null
          description: Owner user ID
        createdAt:
          format: date-time
          type: string
          example: '2024-12-18T09:50:43.338Z'
          description: Creation timestamp
        updatedBy:
          type: string
          nullable: true
          example: null
          description: Updated by user ID
        updatedAt:
          format: date-time
          type: string
          example: '2024-12-18T09:50:43.338Z'
          description: Last update timestamp
        copiedFrom:
          type: string
          nullable: true
          example: null
          description: ID of Decision which was copied to create current decision
        conditionEnabled:
          type: boolean
          example: false
          description: Indicates if Conditions are enable for the Decision
        roleEnabled:
          type: boolean
          example: false
          description: Indicates if Roles are enable for the Decision
        delegable:
          type: boolean
          example: true
          description: Indicates if the Decision is delegable or not
        decisionDisplayId:
          type: string
          description: Decision Display ID
          example: '14623'
        delegationPathway:
          type: object
          nullable: true
          example:
            - Matrix
            - Direct Line
            - Functional
          description: Delegation Pathway values for the delegable Decision
        link:
          type: string
          example: >-
            /decisions/view/eyJ0ZW5hbnRJZCI6MSwiZGVjaXNpb25JZCI6ImU4YTEzYmQ0LTExYzItNDNkMi1hM2RjLWUxOGQ2ODU1NTU4OCJ9
          description: Decision Link
        decisionId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: >-
            Original Decision ID for current denormalized record. This ID should
            be used for REST operations.
        sectionName:
          type: string
          example: Financial Authority
          description: Section Name
        categoryName:
          type: string
          nullable: true
          example: Budget Approval
          description: Category Name
        createdByUsername:
          type: string
          nullable: true
          example: John Doe
          description: Created By Username
        ownerUsername:
          type: string
          nullable: true
          example: John Doe
          description: Owner Username
        updatedByUsername:
          type: string
          nullable: true
          example: null
          description: Updated By Username
        delegations:
          type: object
          example: 0
          description: No. of delegations for the decision ('Reserved' if not delegable)
        decisionGroups:
          description: Decision Groups
          type: array
          items:
            $ref: '#/components/schemas/DenormalizedDecisionGroupsDto'
        decisionAuthorities:
          description: Decision Authorities
          type: array
          items:
            $ref: '#/components/schemas/DenormalizedDecisionAuthoritiesDto'
        decisionDocuments:
          description: Decision Documents
          type: array
          items:
            $ref: '#/components/schemas/DenormalizedDecisionDocumentsDto'
        ownerUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the owner user
          example: http://test.jpg
        createdByUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the created by user
          example: http://test.jpg
        updatedByUserProfileUrl:
          type: string
          nullable: true
          description: profile url of the updated by user
          example: http://test.jpg
        permissions:
          description: permissions
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/PermissionDto'
        createdByDetails:
          type: object
          description: Created By user details
          nullable: true
        updatedByDetails:
          type: object
          description: Updated By user details
          nullable: true
        ownerDetails:
          type: object
          description: Owner By user details
          nullable: true
        isRequestActionCompleted:
          type: boolean
          description: Check whether the user's decision request is Approved or Rejected
          nullable: true
      required:
        - id
        - tenantId
        - name
        - description
        - guidance
        - sectionId
        - categoryId
        - status
        - createdBy
        - owner
        - createdAt
        - updatedBy
        - updatedAt
        - copiedFrom
        - conditionEnabled
        - roleEnabled
        - delegable
        - decisionDisplayId
        - delegationPathway
        - link
        - decisionId
        - sectionName
        - categoryName
        - createdByUsername
        - ownerUsername
        - updatedByUsername
        - decisionGroups
        - decisionAuthorities
        - decisionDocuments
    DenormalizedDecisionGroupsDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Decision Group relation ID
        denormalizedDecisionId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of denormalized Decision record
        groupId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Group ID
        displayName:
          type: string
          nullable: true
          example: Engineering Team
          description: User-friendly display name for the group (preferred field)
        groupName:
          type: string
          nullable: true
          example: Engineering Team
          description: Group name - legacy field (for backward compatibility)
        tenantGroupTypeId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Group Type ID for the given Group
      required:
        - id
        - denormalizedDecisionId
        - groupId
        - tenantGroupTypeId
    DenormalizedDecisionAuthoritiesDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Decision Authority relation ID
        denormalizedDecisionId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of denormalized Decision record
        authorityTypeId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Authority Type ID
        authorityType:
          type: string
          example: Approval
          description: Authority Type (e.g. Approval, Signatory)
        authorityTypeOrder:
          type: number
          example: 1
          description: Authority Type Order
        authorityTypeIcon:
          type: string
          nullable: true
          example: check-square
          description: Authority Type Icon
        authorityLimit:
          type: string
          enum:
            - Primary
            - Secondary
            - Tertiary
          description: Authority Limit
        authorityLimitValueType:
          type: string
          enum:
            - Currency
            - Number
            - Days
            - Months
            - Years
            - Authorized
            - Percentage
          description: Authority Limit Value Type
        authorityLimitOperator:
          type: string
          enum:
            - <
            - <=
            - '='
            - '>='
            - '>'
          description: Authority Limit Operator
        authorityLimitValue:
          type: string
          nullable: true
          example: '1000'
          description: Authority Limit Value
        authorityLimitValueUnit:
          type: string
          nullable: true
          example: $
          description: Authority Limit Value Unit (e.g. $, days, months, years, %)
      required:
        - id
        - denormalizedDecisionId
        - authorityTypeId
        - authorityType
        - authorityTypeOrder
        - authorityTypeIcon
        - authorityLimit
        - authorityLimitValueType
        - authorityLimitOperator
        - authorityLimitValue
        - authorityLimitValueUnit
    DenormalizedDecisionDocumentsDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Decision Document relation ID
        denormalizedDecisionId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of denormalized Decision record
        documentId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Document ID
        documentName:
          type: string
          example: Proxy Comm Delegation of Authority Policy
          description: Document Name
        documentUrl:
          type: string
          nullable: true
          example: https://filesamples.com/samples/document/pdf/sample1.pdf
          description: Document URL
        documentTypeName:
          type: string
          nullable: true
          example: Policy
          description: Document Type Name
        documentIcon:
          type: string
          example: file_text_outlined
          description: Document Icon
        documentDescription:
          type: string
          example: >-
            Defines the framework for delegating authority across ProxyComm's
            global operations, outlining roles, responsibilities, and
            decision-making limits to ensure compliance, accountability, and
            operational consistency.
          description: Document Description
        documentFileType:
          type: string
          nullable: true
          example: pdf
          description: Document File Type
        documentFileLink:
          type: string
          nullable: true
          example: https://example.com/files/project_document.pdf
          description: Document File Link
        isPinned:
          type: boolean
          example: true
          description: Indicates if Document is pinned
        documentDisplayId:
          type: string
          description: Document Display ID
          example: '10000'
        documentStatus:
          type: string
          description: Status of the document
          enum:
            - DRAFT
            - PUBLISHED
            - ARCHIVED
            - DELETED
          example: PUBLISHED
      required:
        - id
        - denormalizedDecisionId
        - documentId
        - documentName
        - documentUrl
        - documentTypeName
        - documentIcon
        - documentDescription
        - documentFileType
        - isPinned
        - documentDisplayId
        - documentStatus
    PermissionDto:
      type: object
      properties:
        allowed:
          type: boolean
          description: 'permission allowed '
          nullable: false
        relationship_key:
          type: string
          description: relationship_key
          nullable: true
      required:
        - relationship_key
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````